Package org.jboss.classfilewriter.attributes

## Class Attribute

- java.lang.Object
- - org.jboss.classfilewriter.attributes.Attribute

All Implemented Interfaces:
  `WritableEntry`

Direct Known Subclasses:
  `AnnotationsAttribute`, `CodeAttribute`, `ExceptionsAttribute`, `ParameterAnnotationsAttribute`, `SignatureAttribute`, `StackMapTableAttribute`

    public abstract class Attribute
    extends java.lang.Object
    implements WritableEntry

Represents an attribute in a class file

Author:
  Stuart Douglas

### Field Summary

Fields
`protected ConstPool` `constPool`

### Constructor Summary

Constructors
`Attribute​(java.lang.String name, ConstPool constPool)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `getName()`
`void` `write​(ByteArrayDataOutputStream stream)`
`abstract void` `writeData​(ByteArrayDataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### constPool

    protected final ConstPool constPool

### Constructor Detail

#### Attribute

    public Attribute​(java.lang.String name,
                     ConstPool constPool)

### Method Detail

#### write

    public void write​(ByteArrayDataOutputStream stream)
               throws java.io.IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `java.io.IOException`

#### writeData

    public abstract void writeData​(ByteArrayDataOutputStream stream)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### getName

    public java.lang.String getName()